Name:		icewm
Version:	1.2.7
Release:	0.33.1
Summary:	Fast and small X11 window manager
Group:		User Interface/Desktops
License:	LGPL
URL:		http://www.icewm.org/
Packager:       Marko Macek <Marko.Macek@gmx.net>
Source:		http://ftp.sourceforge.net/icewm/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	%{name} = %{version}

%define pkgdata %{_datadir}/%{name}

%description
A lightweight window manager for the X Window System. Optimized for
"feel" and speed, not looks. Features multiple workspaces, opaque
move/resize, task bar, window list, clock, mailbox, CPU, Network, APM
status. 

%ifnarch i586 i686 athlon
%package l10n
Group:		%{group}
Summary:        GNOME menu support for icewm (using gnome 1.x)
Requires:       icewm > 1.2.2

%description l10n
GNOME 1.0 menu support for icewm (using gnome 1.x).

%package themes
Group:		%{group}
Summary:        Extra themes for icewm
Requires:       icewm > 1.2.2

%description themes
Extra themes for icewm. 

%package menu-gnome1
Group:		%{group}
Summary:        GNOME menu support for icewm (using gnome 1.x).
Requires:       icewm > 1.2.2
Requires:       gnome-libs >= 1.4

%description menu-gnome1
GNOME 1.0 menu support for icewm (using gnome 1.x).
%endif

%prep

%setup

%build
  CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
     --prefix=%{_prefix} \
     --exec-prefix=%{_exec_prefix} \
     --datadir=%{_datadir} \
     --sysconfdir=%{_sysconfdir} \
     --with-docdir=%{_docdir} \
     --with-gnome-menus
  make

%install
  make DESTDIR=$RPM_BUILD_ROOT install
  mkdir -p $RPM_BUILD_ROOT/etc/icewm

  # remove unpackaged files from rpm build root
  pushd $RPM_BUILD_ROOT
  rm -f .%{pkgdata}/programs
  %ifarch i586 i686 athlon
  rm -fr .%{pkgdata}/themes/{Infadel2,gtk2,metal2,motif,nice,nice2,warp3,warp4,win95}
  rm -fr .%{_datadir}/locale/*
  %endif
  popd

%clean
  test -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS CHANGES TODO BUGS FAQ* doc/*.html doc/icewm.sgml
%doc icewm.lsm
%{_bindir}/*

%config %{pkgdata}/keys
%config %{pkgdata}/menu
%config %{pkgdata}/preferences
%config %{pkgdata}/toolbar
%config %{pkgdata}/winoptions

%dir /etc/icewm

%dir %{pkgdata}/icons
%dir %{pkgdata}/ledclock
%dir %{pkgdata}/mailbox
%dir %{pkgdata}/taskbar
%dir %{pkgdata}/themes

%{pkgdata}/icons/*
%{pkgdata}/ledclock/*
%{pkgdata}/mailbox/*
%{pkgdata}/taskbar/*
%{pkgdata}/themes/icedesert/*

%ifnarch i586 i686 athlon
%files menu-gnome1
%{_bindir}/icewm-menu-gnome1

%files l10n
%dir %{_datadir}/locale
%{_datadir}/locale/*

%files themes
%dir %{pkgdata}/themes/nice
%{pkgdata}/themes/nice/*
%dir %{pkgdata}/themes/nice2
%{pkgdata}/themes/nice2/*
%dir %{pkgdata}/themes/gtk2
%{pkgdata}/themes/gtk2/*
%dir %{pkgdata}/themes/warp3
%{pkgdata}/themes/warp3/*
%dir %{pkgdata}/themes/warp4
%{pkgdata}/themes/warp4/*
%dir %{pkgdata}/themes/motif
%{pkgdata}/themes/motif/*
%dir %{pkgdata}/themes/win95
%{pkgdata}/themes/win95/*
%dir %{pkgdata}/themes/metal2
%{pkgdata}/themes/metal2/*
%dir %{pkgdata}/themes/Infadel2
%{pkgdata}/themes/Infadel2/*
%endif

%changelog
* Tue Mar 25 2003 Peter Hanecak <hanecak@megaloman.sk> 1.2.7-0.33.1
- adapted to Doors Linux
- .bz2 source archiv
- do not produce l10n, themes and menu-gnome1 packages for i586, i686 and
  athlon architectures
